%define version 0.3.0
%define release alt1
%define origname TwistedNews
%setup_python_module twisted-news

Name:           %{packagename}
Version:        %{version}
Release:        %{release}
Summary:        Twisted News is an NNTP server and programming library

Group:          Development/Python
License:        MIT
URL:            http://www.twistedmatrix.com/trac/wiki/TwistedNews
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/News/0.3/%{origname}-%{version}.tar.bz2

BuildRequires:  python-module-twisted-core >= 2.5.0
BuildRequires:  python-devel

Requires:       python-module-twisted-core
Requires:       python-module-twisted-mail

%description
Twisted is an event-based framework for internet applications.

Twisted News is an NNTP protocol (Usenet) programming library. The
library contains server and client protocol implementations. A simple
NNTP server is also provided.

%prep
%setup -q -n %{origname}-%{version}

%build
%__python setup.py build

%install
# this is a pure python package, but extending the twisted namespace from
# python-twisted-core, which is arch-specific, so it needs to go in sitelibdir
%__python setup.py install -O1 --root $RPM_BUILD_ROOT --install-purelib %{python_sitelibdir}

%clean

%files
%defattr(-,root,root,-)
%doc LICENSE NEWS README 

%{python_sitelibdir}/twisted/news/

%{python_sitelibdir}/twisted/plugins/twisted_news.py*

%changelog
* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.3.0-alt1
- Build for new upstream version
